> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/definitions/types/lineups-positions-and-formations.md).

# Lineups, positions and formations

## Lineups types

<table><thead><tr><th width="71">ID</th><th>Code</th><th>Name</th><th>Description</th></tr></thead><tbody><tr><td>11</td><td>lineup</td><td><code>LINEUP</code></td><td>Indicates whether the player is in the starting lineup. </td></tr><tr><td>12</td><td>bench</td><td><code>BENCH</code></td><td>Indicates whether the player is on the bench.</td></tr></tbody></table>

## Positions types

<table><thead><tr><th width="79">ID</th><th>Code</th><th>Name</th><th>Description</th></tr></thead><tbody><tr><td>11</td><td>lineup</td><td><code>LINEUP</code></td><td>Indicates whether the player is in the starting lineup. </td></tr><tr><td>12</td><td>bench</td><td><code>BENCH</code></td><td>Indicates whether the player is on the bench.</td></tr><tr><td>13</td><td>sidelined</td><td><code>SIDELINED</code></td><td>Indicates whether the player is not in the playing squad. </td></tr></tbody></table>

### Detailed Position Types

| id  | parent id | name               | code                | developer\_name     |
| --- | --------- | ------------------ | ------------------- | ------------------- |
| 24  |           | Goalkeeper         | `goalkeeper`        | GOALKEEPER          |
| 25  |           | Defender           | `defender`          | DEFENDER            |
| 26  |           | Midfielder         | `midfielder`        | MIDFIELDER          |
| 27  |           | Attacker           | `attacker`          | ATTACKER            |
| 28  |           | Unknown            | unknown             | UNKNOWN             |
| 148 | 25        | Centre Back        | `centre-back`       | CENTRE\_BACK        |
| 149 | 26        | Defensive Midfield | `defensive-midfied` | DEFENSIVE\_MIDFIELD |
| 150 | 26        | Attacking Midfield | `attacking-midfied` | ATTACKING\_MIDFIELD |
| 151 | 27        | Centre Forward     | `centre-forward`    | CENTRE\_FORWARD     |
| 152 | 27        | Left Wing          | `left-wing`         | LEFT\_WING          |
| 153 | 26        | Central Midfield   | `central-midfied`   | CENTRAL\_MIDFIELD   |
| 154 | 25        | Right Back         | `right-back`        | RIGHT\_BACK         |
| 155 | 25        | Left Back          | `left-back`         | LEFT\_BACK          |
| 156 | 27        | Right Wing         | `right-wing`        | RIGHT\_WING         |
| 157 | 26        | Left Midfield      | `left-midfield`     | LEFT\_MIDFIELD      |
| 158 | 26        | Right Midfield     | `right-midfield`    | RIGHT\_MIDFIELD     |
| 163 | 27        | Secondary Striker  | `secondary_striker` | SECONDARY\_STRIKER  |
| 221 |           | Coach              | `coach`             | COACH               |
| 226 |           | Assistant Coach    | `assistant-coach`   | ASSISTANT\_COACH    |
| 227 |           | Goalkeeping Coach  | `goalkeeping-coach` | GOALKEEPING\_COACH  |
| 228 |           | Forward Coach      | `forward-coach`     | FORWARD\_COACH      |
| 560 |           | Caretaker Manager  | `caretaker-manager` | CARETAKER\_MANAGER  |

## Common formations

<table><thead><tr><th width="249.33333333333331">Formations</th></tr></thead><tbody><tr><td>4-2-3-1</td></tr><tr><td>4-3-3</td></tr><tr><td>4-4-2</td></tr><tr><td>4-1-4-1</td></tr><tr><td>3-5-2</td></tr><tr><td>3-4-3</td></tr><tr><td>4-3-1-2</td></tr><tr><td>4-4-1-1</td></tr><tr><td>3-4-2-1</td></tr><tr><td>3-4-1-2</td></tr><tr><td>5-3-2</td></tr><tr><td>5-4-1</td></tr><tr><td>4-5-1</td></tr><tr><td>3-1-4-2</td></tr><tr><td>4-2-2-2</td></tr><tr><td>4-3-2-1</td></tr><tr><td>3-5-1-1</td></tr><tr><td>4-1-3-2</td></tr><tr><td>4-1-2-3</td></tr><tr><td>3-3-1-3</td></tr><tr><td>3-3-3-1</td></tr><tr><td>5-2-3</td></tr><tr><td>4-2-4</td></tr><tr><td>3-2-4-1</td></tr><tr><td>4-2-1-3</td></tr><tr><td>2-3-4-1</td></tr><tr><td>5-2-2-1</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/definitions/types/lineups-positions-and-formations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
